<div #progressInnerHtml></div>
<div class="session-progress" [class.showCheckbox]="showCheckbox">
  <div class="session-progress__checkbox">
    <label class="container">
      <input
        type="checkbox"
        [checked]="allUsersSelected$ | async"
        (click)="checkboxClicked(user)"
      />
      <span class="checkmark"></span>
    </label>
  </div>
  <div class="first-wrapper">
    <div class="session-progress__name">
      <p *ngIf="user && user.name" class="bold">
        {{ user.name }} {{ user.surname }}
      </p>
      <!-- <p>{{user._id}}</p> -->
      <div class="mobile-pin">
        <p *ngIf="user && user.pin">PIN</p>
        <span>{{ user.pin }}</span>
      </div>
    </div>
    <div class="session-progress__pin">
      <span class="pin-text" *ngIf="user && user.pin"> PIN </span>
      <span>{{ user.pin }}</span>
    </div>
    <div class="session-progress__progress">
      <div class="progress-text">
        <p class="bold progress-number">{{ activeUserChapProgressNumber }}</p>
        <p *ngIf="firstMessage && firstMessage.message">
          {{ firstMessage.message }}
        </p>
      </div>
      <div class="wrapper-progress">
        <div class="progress-empty" [style.width]="'100%'"></div>
        <div
          class="progress-full"
          [style.width]="activeUserChapProgressNumber"
          [style.background-color]="
            activeUserChapProgressNumber == null
              ? 'red'
              : activeUserChapProgressNumber
          "
        ></div>
      </div>
    </div>
  </div>
  <div class="second-wrapper">
    <div class="session-progress__chapter">
      <div class="flex-container">
        <span *ngIf="activeUserChap">Attivo</span>
        <span *ngIf="activeUserChap" class="active-chapter smaller">{{
          activeUserChap
        }}</span>
      </div>
      <img
        *ngIf="activeUserChap"
        appFeedback
        [confirmTitle]="'Riavvio capitolo'"
        [confirmBody]="'Clicca continua per riavviare il capitolo'"
        (onClicked)="restartUser.emit(hasChapter ? activeUserChap : null)"
        id="restart"
        src="../../../../assets/img/end.svg"
        alt=""
      />
    </div>
    <div class="session-progress__choose-chapter">
      <!-- <label for="cars">Scegli capitolo:</label> -->
      <select
        required
        appFeedback
        [onlyOnChange]="true"
        [confirmTitle]="'Cambio capitolo'"
        [confirmBody]="'Clicca continua per cambiare il capitolo'"
        (onChanged)="onChangeSelect($event)"
        *ngIf="
          item &&
          item.status !== 'archived' &&
          filteredChapters &&
          filteredChapters.length
        "
        [(ngModel)]="selectedChapter.identifier"
      >
        <option class="select-placeholder" hidden value="" disabled selected>
          Scegli capitolo
        </option>
        <option
          [ngValue]="chapter.identifier"
          *ngFor="let chapter of filteredChapters; let index = index"
        >
          {{ chapter.identifier }}
        </option>
      </select>
      <!-- <app-pro-select
        *ngIf="item && item.status !== 'archived'"
        [noBg]="true"
        [(model)]="selectedChapter"
        [modelParser]="selectCompanyParser"
        placeholder="Cambio Capitolo"
        [options]="filteredChapters"
      >
        <ng-template dbeProSelectOption let-item>
          <p
            appFeedback
            [confirmTitle]="'Cambio capitolo'"
            [confirmBody]="'Clicca continua per cambiare il capitolo'"
            (onClicked)="changeChapter.emit(item)"
            class="medium-bold list-select"
            style="margin-bottom: 0"
          >
            {{ item.identifier }}
          </p>
        </ng-template>
      </app-pro-select> -->
    </div>
    <div class="session-progress__actions">
      <p [class.active]="active" (click)="active = !active;setActive.emit();">
        Dettagli
      </p>
      <img
        id="mobile-trigger"
        [class.active]="active"
        (click)="setActive.emit(); active = !active"
        src="../../../../assets/img/add-tag-b.svg"
        alt=""
      />
    </div>
  </div>
</div>
